package com.pcloud.book.personal.mapper;


import com.pcloud.book.personal.entity.PersonalShareTemplate;

import org.springframework.stereotype.Component;

@Component
public interface PersonalShareTemplateMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PersonalShareTemplate record);

    int insertSelective(PersonalShareTemplate record);

    PersonalShareTemplate selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PersonalShareTemplate record);

    int updateByPrimaryKeyWithBLOBs(PersonalShareTemplate record);

    int updateByPrimaryKey(PersonalShareTemplate record);
}